package com.yd.rmi.ali.oss.vo;

import com.aliyun.oss.model.*;
import com.yd.api.result.CommonResult;

public class OssResponseVO {
	private String operateType;//操作类型，详见OssOperateTypeEnum
	private boolean exists;//存储空间、对象是否存在
	private BucketList bucketList;//存储空间列表
	private AccessControlList accessControlList;//存储空间、对象权限入参
	private ObjectAcl objectAcl;//对象权限出参
	private OSSObject ossObject;//对象下载出参
	private ObjectListing objectListing;//对象列表
	private String url;//对象外网访问URL
	private CommonResult commonResult;

	public String getOperateType() {
		return operateType;
	}
	public void setOperateType(String operateType) {
		this.operateType = operateType;
	}
	public boolean isExists() {
		return exists;
	}
	public void setExists(boolean exists) {
		this.exists = exists;
	}
	public BucketList getBucketList() {
		return bucketList;
	}
	public void setBucketList(BucketList bucketList) {
		this.bucketList = bucketList;
	}
	public AccessControlList getAccessControlList() {
		return accessControlList;
	}
	public void setAccessControlList(AccessControlList accessControlList) {
		this.accessControlList = accessControlList;
	}
	public ObjectAcl getObjectAcl() {
		return objectAcl;
	}
	public void setObjectAcl(ObjectAcl objectAcl) {
		this.objectAcl = objectAcl;
	}
	public OSSObject getOssObject() {
		return ossObject;
	}
	public void setOssObject(OSSObject ossObject) {
		this.ossObject = ossObject;
	}
	public ObjectListing getObjectListing() {
		return objectListing;
	}
	public void setObjectListing(ObjectListing objectListing) {
		this.objectListing = objectListing;
	}
	public String getUrl() {
		return url;
	}
	public void setUrl(String url) {
		this.url = url;
	}
	public CommonResult getCommonResult() {
		return commonResult;
	}
	public void setCommonResult(CommonResult commonResult) {
		this.commonResult = commonResult;
	}
	
}
